Bug 1007737 - GuvnorM2RepoDependencyExample2 can't be found
GuvnorM2RepoDependencyExample2 can't be found
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: Mark Proctor
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 04:54 EDT by Michael
Modified: 2014-01-15 06:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log (95.83 KB, image/png)
2013-09-13 04:54 EDT, Michael
no flags Details
application error (34.80 KB, image/png)
2013-09-13 04:55 EDT, Michael
no flags Details

  None (edit)
Description Michael 2013-09-13 04:54:43 EDT
Created attachment 797214 [details]
error log

Description of problem:
When deploying kie-wb-6.0.0-SNAPSHOT-as_7.war to Jboss EAP 6.1 and accessing the application, when clicking on Authoring / Project authoring we get in the logs:
10:35:55,728 WARN  [org.kie.scanner.MavenClassLoaderResolver] (http-localhost/127.0.0.1:8080-1) Dependency artifact not found for: org.kie.example:guvnor-m2repo-dependency-example1:1.0

and everytime we select GuvnorM2RepoDependencyExample2 we get the attached error in the kie-wb application. 

Version-Release number of selected component (if applicable):
kie-wb-6.0.0-SNAPSHOT-as-7.war in Jboss EAP 6.1

How reproducible:


Steps to Reproduce:
1. deploy kie-wb-6.0.0-SNAPSHOT-as-7.war in Jboss EAP 6.1
2. acces the kie-wb
3. access Authoring / Project Authoring
4. The error message should appear
Comment 1 Michael 2013-09-13 04:55:22 EDT
Created attachment 797215 [details]
application error
Comment 3 Michael 2013-09-13 07:05:30 EDT
happens also when deployed to a JBoss AS 7
Comment 4 manstis 2013-09-13 10:13:24 EDT
I suspect this is because GuvnorM2RepoDependencyExample1 has not been built and is in the local Guvnor M2 Repository. A (better?) error message needs to be shown if a project dependency cannot be resolved.
Comment 6 Jervis Liu 2013-09-29 22:30:15 EDT
This is because GuvnorM2RepoDependencyExample1 has not been built yet, thus GuvnorM2RepoDependencyExample1 is not available in maven repository. GuvnorM2RepoDependencyExample2 depends on GuvnorM2RepoDependencyExample1. 

We also removed GuvnorM2RepoDependencyExample1 and GuvnorM2RepoDependencyExample1 from the example git repo. You wont see this error anymore.
Comment 8 Jiri Locker 2014-01-15 06:46:19 EST
I have reproduced the error in ER7 when I reset master branch of guvnorng playground to the state before dependency example projects were removed. I also cleared ~/.m2/repository/org/kie/example/guvnor-m2repo-dependency-example* and ./repositories/ created by business central. When I accessed GuvnorM2RepoDependencyExample2 without building GuvnorM2RepoDependencyExample1 first I got the error.

Setting to VERIFIED as comment 6 indicates the error message is not a bug and the dependecy examples were removed.

If there is a problem in handling dependencies between projects, it may be reported later.

Note You need to log in before you can comment on or make changes to this bug.